<!DOCTYPE html>
<html>

<head>
  <title>Rock Paper Scissors</title>
</head>

<body>
  <p>Rock Paper Scissors</p>
  <button onclick="
      playGame('rock');
    ">Rock</button>

  <button onclick="
      playGame('paper');
    ">Paper</button>

  <button onclick="
      playGame('scissors');
    ">Scissors</button>

  <button onclick="
      scores.wins = 0;
      scores.losses = 0;
      scores.ties = 0;
      localStorage.removeItem('scores');
    ">Reset Score</button>

  <script>

    // let scores = {
    //   wins : 0,
    //   losses : 0,
    //   ties : 0,
    // }

    // console.log(JSON.parse(localStorage.getItem('score')))

    // let score = JSON.parse(localStorage.getItem('score'))

    // if (!score) {
    // scores = {
    //     wins: 0,
    //     losses: 0,
    //     ties: 0,
    //   }
    // }

    let score = JSON.parse(localStorage.getItem('score')) || {
      wins: 0,
      losses: 0,
      ties: 0,
    }

    function playGame(playerMove) {
      const computerMove = pickComputerMove();

      let result = '';

      if (playerMove === 'scissors') {
        if (computerMove === 'rock') {
          result = 'You lose.';
        } else if (computerMove === 'paper') {
          result = 'You win.';
        } else if (computerMove === 'scissors') {
          result = 'Tie.';
        }

      } else if (playerMove === 'paper') {
        if (computerMove === 'rock') {
          result = 'You win.';
        } else if (computerMove === 'paper') {
          result = 'Tie.';
        } else if (computerMove === 'scissors') {
          result = 'You lose.';
        }

      } else if (playerMove === 'rock') {
        if (computerMove === 'rock') {
          result = 'Tie.';
        } else if (computerMove === 'paper') {
          result = 'You lose.';
        } else if (computerMove === 'scissors') {
          result = 'You win.';
        }
      }

      if (result === 'You lose.') {
        score.losses++;
      }
      else if (result === 'You win.') {
        score.wins++;
      } else score.ties++;

      localStorage.setItem("score", JSON.stringify(scores))

      alert(`You picked ${playerMove}. Computer picked ${computerMove}. ${result}\n Wins : ${score.wins} , Losses : ${score.losses}, Ties : ${score.ties}`);
    }

    function pickComputerMove() {
      const randomNumber = Math.random();

      let computerMove = '';

      if (randomNumber >= 0 && randomNumber < 1 / 3) {
        computerMove = 'rock';
      } else if (randomNumber >= 1 / 3 && randomNumber < 2 / 3) {
        computerMove = 'paper';
      } else if (randomNumber >= 2 / 3 && randomNumber < 1) {
        computerMove = 'scissors';
      }

      return computerMove;
    }
  </script>
</body>

</html>